# Data Object - NvdimmHealthInfo(vim.host.NvdimmSystem.HealthInfo)

Property of
  NvdimmDimmInfo
Extends
  DynamicData
Since
  vSphere API 6.7

## Data Object Description

\brief NVDIMM health information

Properties

Name | Type | Description
--- | --- | ---
dimmLifespanPercentage | xsd:int | Lifespan of Nvdimm as percentage. 100% = Warranted life span has reached.
dimmTemperature | xsd:int | Current Nvdimm temperature in degree Celsius.
dimmTemperatureThreshold | xsd:int | Nvdimm temperature threshold. Default value is 0, indicating threshold has not reached, if set to 1, reached threshold limit.
esLifespanPercentage* | xsd:int | Lifespan of Energy source as percentage. 100% = Warranted life span has reached. Default value is 0, indicating there is no energy source.
esTemperature* | xsd:int | Energy source current temperature in degree Celsius. Default value is 0, indicating there is no energy source for these nvdimms.
esTemperatureThreshold* | xsd:int | Energy source temperature threshold. Default value is 0, indicating threshold has not reached, if set to 1, reached threshold limit.
healthInformation | xsd:string | Health status description.
healthStatus | xsd:string | Device health status.
spareBlocksPercentage | xsd:int | Percentage of spare capavity as a percentage of factory configured space (valid range 0 to 100)
spareBlockThreshold | xsd:int | Spare block threshold. Default value is 0, indicating threshold has not reached, if set to 1, reached threshold limit.
stateFlagInfo* | xsd:string[] | State flag information. This information is the cumulation of state flags of all the NVDIMM region state flags. It must be one or more of HealthInfo.StateFlag
Properties inherited from DynamicData
None

*Need not be set
Show WSDL type definition
<complexType xmlns="http://www.w3.org/2001/XMLSchema" xmlns:vsan="urn:vsan" name="NvdimmHealthInfo"> <complexContent> <extension base="vsan:DynamicData"> <sequence> <element name="healthStatus" type="xsd:string"/> <element name="healthInformation" type="xsd:string"/> <element name="stateFlagInfo" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/> <element name="dimmTemperature" type="xsd:int"/> <element name="dimmTemperatureThreshold" type="xsd:int"/> <element name="spareBlocksPercentage" type="xsd:int"/> <element name="spareBlockThreshold" type="xsd:int"/> <element name="dimmLifespanPercentage" type="xsd:int"/> <element name="esTemperature" type="xsd:int" minOccurs="0"/> <element name="esTemperatureThreshold" type="xsd:int" minOccurs="0"/> <element name="esLifespanPercentage" type="xsd:int" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType>